import Vue from "vue";
import VueRouter from "vue-router";
import login from "../views/login.vue";
import Home from "../views/Home.vue";
import Mine from "../views/Mine.vue";
import Project from "../views/Project.vue";
import Overview from "../views/Overview.vue";
import list from "../views/list.vue";
import calendarTask from "../views/calendarTask.vue";
import square from "../components/square.vue";

Vue.use(VueRouter);

const routes = [
	{
	  path: "/login",
	  name: "login",
	  components:{
			app: login
		}
	},
	{
		path: "/",
		name: "Home",
		components:{
			app: Home
		},
		children: [
			{
			  path: "mine",
			  name: "mine",
			  components:{
					home: Mine
				}
			},{
			  path: "project",
			  name: "project",
				components:{
					home: Project
				}
			},
			{
			  path: "Overview",
			  name: "Overview",
			  components:{
					home: Overview
				}
			},{
			  path: "list",
			  name: "list",
			  components:{
					home: list
				}
			},
			{
			  path: "calendarTask",
			  name: "calendarTask",
			  components:{
					home: calendarTask
				}
			},
			{
			  path: "square",
			  name: "square",
			  components:{
			  	home: square
			  }
			},
			{
			  path: "project3",
			  name: "project3",
			  components:{
			  	home: Project
			  }
			},
			{
			  path: "project4",
			  name: "project4",
			  components:{
			  	home: Project
			  }
			},
			{
			  path: "project5",
			  name: "project5",
			  components:{
			  	home: Project
			  }
			},
			{
			  path: "project6",
			  name: "project6",
			  components:{
			  	home: Project
			  }
			}
		]
	},
  
];

const router = new VueRouter({
  routes
});



export default router;

